Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 501328 - media-libs/mesa with >x11-drivers/nvidia-drivers-331 - egl.c:(.text+0x4d): undefined reference to `_eglLog'
Summary: media-libs/mesa with >x11-drivers/nvidia-drivers-331 - egl.c:(.text+0x4d): un...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal with 6 votes (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords: NeedPatch
: 503900 504058 505064 505318 505646 507262 509998 (view as bug list)
Depends on:
Blocks: 544976
  Show dependency tree
 
Reported: 2014-02-14 21:30 UTC by Mike Johnson
Modified: 2017-01-26 06:39 UTC (History)
33 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
media-libs:mesa-9.2.5:20140214-054246.log.bz2 (media-libs:mesa-9.2.5:20140214-054246.log.bz2,49.22 KB, application/x-bzip)
2014-02-15 01:57 UTC, Mike Johnson
Details
build.log.gz (build.log.gz,82.23 KB, application/gzip)
2014-02-16 17:48 UTC, Leszek Salamacha
Details
my complete build log (build.log.gz,78.39 KB, application/gzip)
2014-03-01 13:01 UTC, Silvio
Details
mesa-10.1.0:20140323-053119.log.xz (mesa-10.1.0:20140323-053119.log.xz,62.44 KB, application/x-xz)
2014-03-23 07:25 UTC, Justin Lecher
Details
config.log (config.log,129.41 KB, text/x-log)
2014-04-12 19:10 UTC, Kevin Lyles
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Johnson 2014-02-14 21:30:23 UTC
After installing nvidia-drivers-334.16-r5 mesa cannot be emerged.  Mesa fails  with the following errors:

libtool: relink: x86_64-pc-linux-gnu-g++  -fPIC -DPIC -shared -nostdlib /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../lib64/crti.o /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/crtbeginS.o  .libs/egl.o .libs/egl_pipe.o .libs/egl_st.o  -Wl,--whole-archive ../../../../src/gallium/auxiliary/.libs/libgallium.a ../../../../src/gallium/drivers/identity/.libs/libidentity.a ../../../../src/gallium/drivers/trace/.libs/libtrace.a ../../../../src/gallium/drivers/rbug/.libs/librbug.a ../../../../src/gallium/state_trackers/egl/.libs/libegl.a ../../../../src/gallium/winsys/sw/xlib/.libs/libws_xlib.a ../../../../src/mesa/.libs/libmesagallium.a ../../../../src/gallium/drivers/softpipe/.libs/libsoftpipe.a ../../../../src/gallium/drivers/llvmpipe/.libs/libllvmpipe.a -Wl,--no-whole-archive  -L/var/tmp/portage/media-libs/mesa-9.2.5/work/Mesa-9.2.5-amd64/src/gbm/.libs -L/var/tmp/portage/media-libs/mesa-9.2.5/work/Mesa-9.2.5-amd64/src/mapi/shared-glapi/.libs -L/usr/lib64 -Wl,--as-needed -L/var/tmp/portage/media-libs/mesa-9.2.5/image//usr/lib64 -lEGL -lX11-xcb -lxcb-dri2 -lxcb-xfixes -lxcb-render -lxcb-shape -lxcb -lX11 -lXext -lXfixes -lgbm -ludev -lrt -ldrm -lglapi -lz -lpthread -lffi -ldl -lLLVMMCJIT -lLLVMBitWriter -lLLVMX86Disassembler -lLLVMX86AsmParser -lLLVMX86CodeGen -lLLVMSelectionDAG -lLLVMAsmPrinter -lLLVMMCParser -lLLVMX86Desc -lLLVMX86Info -lLLVMX86AsmPrinter -lLLVMX86Utils -lLLVMJIT -lLLVMRuntimeDyld -lLLVMExecutionEngine -lLLVMCodeGen -lLLVMObjCARCOpts -lLLVMScalarOpts -lLLVMInstCombine -lLLVMTransformUtils -lLLVMipa -lLLVMAnalysis -lLLVMTarget -lLLVMMC -lLLVMObject -lLLVMCore -lLLVMSupport -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../x86_64-pc-linux-gnu/lib -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../.. -lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/crtendS.o /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.1/../../../../lib64/crtn.o  -march=core2 -O2 -Wl,--no-undefined -Wl,--allow-multiple-definition -Wl,-O1 -Wl,--sort-common   -pthread -Wl,-soname -Wl,egl_gallium.so -o .libs/egl_gallium.so
.libs/egl.o: In function `create_drm_screen':
egl.c:(.text+0x4d): undefined reference to `_eglLog'
egl.c:(.text+0xfb): undefined reference to `_eglLog'
egl.c:(.text+0x1a3): undefined reference to `_eglLog'
egl.c:(.text+0x1cf): undefined reference to `_eglLog'
egl.c:(.text+0x1fc): undefined reference to `_eglLog'
.libs/egl.o:egl.c:(.text+0x218): more undefined references to `_eglLog' follow
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_copy_buffers':
egl_g3d_api.c:(.text+0x25f): undefined reference to `_eglGetCurrentContext'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `create_pbuffer_surface':
egl_g3d_api.c:(.text+0x2fd): undefined reference to `_eglInitSurface'
egl_g3d_api.c:(.text+0x371): undefined reference to `_eglError'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_bind_tex_image':
egl_g3d_api.c:(.text+0x3c1): undefined reference to `_eglGetAPIContext'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_choose_config':
egl_g3d_api.c:(.text+0x554): undefined reference to `_eglParseConfigAttribList'
egl_g3d_api.c:(.text+0x59a): undefined reference to `_eglFilterConfigArray'
egl_g3d_api.c:(.text+0x5df): undefined reference to `_eglError'
egl_g3d_api.c:(.text+0x5f5): undefined reference to `_eglError'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_wait_native':
egl_g3d_api.c:(.text+0x654): undefined reference to `_eglGetCurrentContext'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `swap_buffers.isra.4':
egl_g3d_api.c:(.text+0x6c6): undefined reference to `_eglGetCurrentContext'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_post_sub_buffer':
egl_g3d_api.c:(.text+0x825): undefined reference to `_eglError'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_create_surface.isra.7':
egl_g3d_api.c:(.text+0x8e7): undefined reference to `_eglInitSurface'
egl_g3d_api.c:(.text+0xa6c): undefined reference to `_eglError'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_release_tex_image':
egl_g3d_api.c:(.text+0xb57): undefined reference to `_eglGetAPIContext'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `destroy_context.isra.9':
egl_g3d_api.c:(.text+0xbc2): undefined reference to `_eglLog'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_destroy_context':
egl_g3d_api.c:(.text+0xbf5): undefined reference to `_eglPutResource'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_create_context':
egl_g3d_api.c:(.text+0xc7e): undefined reference to `_eglInitContext'
egl_g3d_api.c:(.text+0xd01): undefined reference to `_eglLog'
egl_g3d_api.c:(.text+0xde7): undefined reference to `_eglLog'
egl_g3d_api.c:(.text+0xe04): undefined reference to `_eglError'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_create_pbuffer_from_client_buffer':
egl_g3d_api.c:(.text+0xf2d): undefined reference to `_eglError'
egl_g3d_api.c:(.text+0xf71): undefined reference to `_eglError'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `destroy_surface.isra.11':
egl_g3d_api.c:(.text+0xffa): undefined reference to `_eglLog'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_destroy_surface':
egl_g3d_api.c:(.text+0x1015): undefined reference to `_eglPutResource'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_make_current':
egl_g3d_api.c:(.text+0x1082): undefined reference to `_eglBindContext'
egl_g3d_api.c:(.text+0x1107): undefined reference to `_eglPutResource'
egl_g3d_api.c:(.text+0x111e): undefined reference to `_eglPutResource'
egl_g3d_api.c:(.text+0x113c): undefined reference to `_eglPutResource'
egl_g3d_api.c:(.text+0x119f): undefined reference to `_eglBindContext'
egl_g3d_api.c:(.text+0x11d0): undefined reference to `_eglPutResource'
egl_g3d_api.c:(.text+0x11df): undefined reference to `_eglPutResource'
egl_g3d_api.c:(.text+0x11ee): undefined reference to `_eglPutResource'
egl_g3d_api.c:(.text+0x11fd): undefined reference to `_eglPutResource'
egl_g3d_api.c:(.text+0x120c): undefined reference to `_eglPutResource'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o):egl_g3d_api.c:(.text+0x121b): more undefined references to `_eglPutResource' follow
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_init_driver_api':
egl_g3d_api.c:(.text+0x12f5): undefined reference to `_eglInitDriverFallbacks'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_show_screen_surface':
egl_g3d_api.c:(.text+0x191): undefined reference to `_eglError'
egl_g3d_api.c:(.text+0x1ad): undefined reference to `_eglError'
egl_g3d_api.c:(.text+0x1d6): undefined reference to `_eglError'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_bind_tex_image':
egl_g3d_api.c:(.text+0x3e3): undefined reference to `_eglError'
egl_g3d_api.c:(.text+0x4c3): undefined reference to `_eglError'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o):egl_g3d_api.c:(.text+0x4e3): more undefined references to `_eglError' follow
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_compare_config':
egl_g3d_api.c:(.text+0x616): undefined reference to `_eglCompareConfigs'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_match_config':
egl_g3d_api.c:(.text+0x641): undefined reference to `_eglMatchConfig'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_wait_native':
egl_g3d_api.c:(.text+0x69e): undefined reference to `_eglError'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_api.o): In function `egl_g3d_release_tex_image':
egl_g3d_api.c:(.text+0xb2d): undefined reference to `_eglError'
egl_g3d_api.c:(.text+0xb9e): undefined reference to `_eglError'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d.o): In function `egl_g3d_terminate':
egl_g3d.c:(.text+0xee): undefined reference to `_eglReleaseDisplayResources'
egl_g3d.c:(.text+0x106): undefined reference to `_eglDestroyArray'
egl_g3d.c:(.text+0x129): undefined reference to `_eglDestroyArray'
egl_g3d.c:(.text+0x13c): undefined reference to `_eglCleanupDisplay'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d.o): In function `egl_g3d_initialize':
egl_g3d.c:(.text+0x2a5): undefined reference to `_eglLog'
egl_g3d.c:(.text+0x3f6): undefined reference to `_eglInitScreen'
egl_g3d.c:(.text+0x457): undefined reference to `_eglLinkScreen'
egl_g3d.c:(.text+0x703): undefined reference to `_eglInitConfig'
egl_g3d.c:(.text+0x827): undefined reference to `_eglError'
egl_g3d.c:(.text+0x9c5): undefined reference to `_eglValidateConfig'
egl_g3d.c:(.text+0x9dc): undefined reference to `_eglLinkConfig'
egl_g3d.c:(.text+0xad1): undefined reference to `_eglLog'
egl_g3d.c:(.text+0xb72): undefined reference to `_eglError'
egl_g3d.c:(.text+0xb88): undefined reference to `_eglError'
egl_g3d.c:(.text+0xc1a): undefined reference to `_eglLog'
egl_g3d.c:(.text+0xca1): undefined reference to `_eglError'
egl_g3d.c:(.text+0xcb7): undefined reference to `_eglError'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_image.o): In function `egl_g3d_create_image':
egl_g3d_image.c:(.text+0x42): undefined reference to `_eglInitImage'
egl_g3d_image.c:(.text+0x16c): undefined reference to `_eglParseImageAttribList'
egl_g3d_image.c:(.text+0x27a): undefined reference to `_eglError'
egl_g3d_image.c:(.text+0x2de): undefined reference to `_eglError'
egl_g3d_image.c:(.text+0x2f6): undefined reference to `_eglLog'
egl_g3d_image.c:(.text+0x31c): undefined reference to `_eglLog'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_image.o): In function `egl_g3d_create_drm_image':
egl_g3d_image.c:(.text+0x3b7): undefined reference to `_eglInitImage'
egl_g3d_image.c:(.text+0x3d7): undefined reference to `_eglParseImageAttribList'
egl_g3d_image.c:(.text+0x4ff): undefined reference to `_eglLog'
egl_g3d_image.c:(.text+0x527): undefined reference to `_eglLog'
egl_g3d_image.c:(.text+0x545): undefined reference to `_eglLog'
egl_g3d_image.c:(.text+0x560): undefined reference to `_eglError'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_st.o): In function `egl_g3d_st_manager_get_egl_image':
egl_g3d_st.c:(.text+0x8d): undefined reference to `_eglCheckResource'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_sync.o): In function `egl_g3d_create_sync':
egl_g3d_sync.c:(.text+0x92): undefined reference to `_eglGetCurrentContext'
egl_g3d_sync.c:(.text+0xb2): undefined reference to `_eglError'
egl_g3d_sync.c:(.text+0xf3): undefined reference to `_eglInitSync'
egl_g3d_sync.c:(.text+0x11a): undefined reference to `_eglError'
egl_g3d_sync.c:(.text+0x139): undefined reference to `_eglGetCurrentContext'
egl_g3d_sync.c:(.text+0x1a1): undefined reference to `_eglError'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_sync.o): In function `egl_g3d_destroy_sync':
egl_g3d_sync.c:(.text+0x1f9): undefined reference to `_eglPutResource'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_sync.o): In function `egl_g3d_client_wait_sync':
egl_g3d_sync.c:(.text+0x294): undefined reference to `_eglGetResource'
egl_g3d_sync.c:(.text+0x2c0): undefined reference to `_eglPutResource'
egl_g3d_sync.c:(.text+0x316): undefined reference to `_eglGetCurrentContext'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(egl_g3d_sync.o): In function `egl_g3d_signal_sync':
egl_g3d_sync.c:(.text+0x40d): undefined reference to `_eglError'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(native_dri2.o): In function `dri2_surface_get_buffers':
native_dri2.c:(.text+0x2e2): undefined reference to `_eglLog'
native_dri2.c:(.text+0x3cf): undefined reference to `_eglLog'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(native_dri2.o): In function `dri2_display_init_screen':
native_dri2.c:(.text+0xc8d): undefined reference to `_eglLog'
native_dri2.c:(.text+0xd0a): undefined reference to `_eglLog'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(native_x11.o): In function `native_create_display':
native_x11.c:(.text+0x47): undefined reference to `_eglLog'
../../../../src/gallium/state_trackers/egl/.libs/libegl.a(x11_screen.o):x11_screen.c:(.text+0x41d): more undefined references to `_eglLog' follow
collect2: error: ld returned 1 exit status
distcc[11138] ERROR: compile (null) on localhost failed
libtool: install: error: relink `egl_gallium.la' with the above command before installing it
Makefile:814: recipe for target 'install-eglLTLIBRARIES' failed
gmake[4]: *** [install-eglLTLIBRARIES] Error 1

 This is experienced by others as documented in this forum thread: http://forums.gentoo.org/viewtopic-t-982630-postdays-0-postorder-asc-start-0.html
After removing the 334.16-r5 driver and installing the 304.119 driver mesa compiles normally.  That is, after applying the -ncurses fix to llvm as documented in this bug: https://bugs.gentoo.org/show_bug.cgi?id=481316#
With the 334.16-r5 driver, both llvm fixes in that thread were ineffective.
Comment 1 Jeroen Roovers gentoo-dev 2014-02-14 23:10:02 UTC
1) Please attach the entire build log to this bug report.
2) Please post your `emerge --info' output in a comment.
Comment 2 Mike Johnson 2014-02-15 01:40:36 UTC
Portage 2.3.6-r5 (funtoo/1.0/linux-gnu/arch/x86-64bit, gcc-4.8.1, glibc-2.18, 3.13.2 x86_64)
=================================================================
System uname: Linux-3.13.2-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T7500_@_2.20GHz-with-gentoo-2.2.0
KiB Mem:     4040776 total,   1297604 free
KiB Swap:    3145724 total,   3145724 free
Timestamp of tree: Unknown
ld GNU ld (GNU Binutils) 2.23.2
distcc 3.1 x86_64-pc-linux-gnu [enabled]
ccache version 3.1.9 [enabled]
app-shells/bash:          4.2_p45-r1
dev-java/java-config:     2.2.0-r1000
dev-lang/python:          2.7.6-r1001, 3.2.5-r1000, 3.3.3-r1000
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           2.8.12.2
sys-apps/baselayout:      2.2.0-r4
sys-apps/openrc:          0.12.3-r1
sys-apps/sandbox:         2.6-r2
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.10.3, 1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.8.1-r3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.18
Repositories: proaudio gentoo local
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib/distcc/bin/c++ /usr/lib/distcc/bin/cc /usr/lib/distcc/bin/g++ /usr/lib/distcc/bin/gcc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=core2 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/mnt/nfs/funstar/usr/portage_large/distfiles"
FEATURES="assume-digests binpkg-logs buildpkg ccache config-protect-if-modified distcc distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://gentoo.llarian.net/ http://gentoo.mirrors.easynews.com/linux/gentoo/ http://gentoo.gossamerhost.com"
LANG="en_US.utf8"
LC_ALL="en_US.utf-8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage_large/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/mnt/nfs/funstar/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/pro-audio /mnt/nfs/funstar/usr/portage /usr/local/portage"
SYNC="git://github.com/funtoo/ports-2012.git"
SYNC_USER="root"
USE="X a52 aac acl acpi alsa amd64 apng bash-completion berkdb bluetooth bzip2 cairo calendar cdr consolekit cracklib crypt css cups curl cxx dbus dhcpcd directfb dri dts dv dvd dvdr dvdread epson epson2 fbcon ffmpeg flac ftp fuse g3dvl gdbm gif gimp gpm gstreamer gtk hddtemp iconv icu imagemagick inotify introspection ipv6 jabber javascript jingle jit jpeg lame ldap lm_sensors lzo mad mmap mmx modules mozilla mp3 mp4 mpeg mplayer msn mudflap multilib ncurses networkmanager nfs nls nptl nsplugin nss nvidia ocr odbc offensive ogg oggvorbis openal opengl openmp pam pcre pdf plymouth png posix pppd pulseaudio python qt3support qt4 quicktime rar raw readline resolvconf samba sasl scanner scsi sdl sna snmp sound speex spell sse sse2 sse3 ssl ssse3 subversion svg symlink syslog tcpd theora tiff truetype udev unicode upnp usb uxa v4l vaapi vcd vdpau video vorbis wavpack wifi win32codecs xa xcomposite xml xmpp xorg xpm xrandr xscreensaver xv xvmc zeroconf zlib" ABI_X86="64" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias authn_core authz_core socache_shmcb unixd" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DRACUT_MODULES="plymouth caps biosdevname dmsquash-live ssh-client syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_ABIS="2.7 3.3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2 python3_3 pypy1_9 jython2_5" QEMU_SOFTMMU_TARGETS="x86_64 i386 arm" QEMU_USER_TARGETS="x86_64 i386 arm" RUBY_TARGETS="ruby18 ruby19 ruby20" SANE_BACKENDS="epson" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, SYNC_UMASK
Comment 3 Mike Johnson 2014-02-15 01:57:14 UTC
Created attachment 370454 [details]
media-libs:mesa-9.2.5:20140214-054246.log.bz2

had to compress it
Comment 4 Leszek Salamacha 2014-02-16 17:47:03 UTC
I confirm this error.
emerge --info
Portage 2.2.8-r1 (default/linux/amd64/13.0/desktop/kde, gcc-4.8.2, glibc-2.18-r1, 3.13.3-zen x86_64)
=================================================================
System uname: Linux-3.13.3-zen-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E7500_@_2.93GHz-with-gentoo-2.2
KiB Mem:     5069552 total,    729716 free
KiB Swap:    2000056 total,   1998628 free
Timestamp of tree: Sun, 16 Feb 2014 16:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.9 [enabled]
app-shells/bash:          4.2_p45-r1
dev-java/java-config:     2.2.0
dev-lang/python:          2.6.9, 2.7.6, 3.2.5-r3, 3.3.3
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.4_p6-r1, 1.5-r1, 1.6.3-r1, 1.7.9-r2, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.4, 1.14.1
sys-devel/binutils:       2.23.2, 2.24-r2
sys-devel/gcc:            4.3.6-r1, 4.4.7, 4.5.4, 4.6.4, 4.7.3-r1, 4.8.2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.18-r1
Repositories: gentoo local
Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA dlj-1.1 sun-bcla-java-vm skype-eula googleearth AdobeFlash-10 AdobeFlash-10.1 AdobeFlash-10.3 Q3AEULA Oracle-BCLA-JavaSE Intel-SDP PUEL skype-4.0.0.7-copyright DOOM3 google-chrome AdobeFlash-11.x TeamViewer RTCW NVIDIA-CUDA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /var/lib/hsqldb /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/portage/portage/distfiles"
FCFLAGS="-march=native -O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache cgroup compress-build-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=native -O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="pl_PL.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3 -s"
PKGDIR="/portage/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--progress"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/portage/var/tmp"
PORTDIR="/portage/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="7zip X Xaw3d a52 aac aalib accessibility acl acpi adns aiglx aio alsa amd64 amr ansi ao apache2 arts artworkextra asf atm audacious audiofile audit authlib bash-completion bdf berkdb bl bluetooth bluray boundschecking branding browserplugin btrfs bzip2 bzlib cairo calendar caps cdda cddb cdf cdinstall cdparanoia cdr cern chardet chm chroot clearpasswd cli clisp consolekit contrib cracklib crypt cscope css cuda cups curl custom-optimization custreloc cxx d daap dbtool dbus declarative development device-mapper dga dhcp dia dirac directfb divx4linux djvu dlloader dlna dlopen dmx double-precision dpms dri dts dv dvb dvd dvdr dvdread dvi dynagraph ebook ecc edl elf emboss emerald enca encode erandom evo excel exif expat fam fame fbcon ffmpeg fftw firefox fits flac flash fltk font-server fontconfig foomaticdb fortran fpx freesound ftp fuse gcj gd gdbm geoip geolocation ggi gif gimp glib glitz glut gmp gnokii gnome-print gnuplot gnutls gphoto2 gpm graphicsmagick graphviz gs gtk gtk3 gtkhtml guile hddtemp hou howl hpn hscolour htmlhandbook http hyperspec ical iconv ide idea idn ieee1394 imagemagick imlib inetd insecure-drivers ipalias ipv6 irda irmc ithreads jack jack-tmpfs java javascript jce joystick jpeg jpeg2k justify kde kdeenablefinal kdehiddenvisibility kdeprefix kig-scripting kipi kpathsea ladspa lame lapack latex lcms lensfun libcaca libffi libkms libnotify libssh2 lirc live lm_sensors logitech-mouse logrotate loop-aes lua lzma lzo mad math mathml matroska mbox md5sum mikmod mjpeg mmap mmx mmxext mng modplug modules mono moonlight motif mozilla moznomail mozsvg mozxmlterm mp2 mp3 mp4 mpeg mpi-threads mplayer mtp multicall multilib musepack musicbrainz mysql mythtv nas nautilus ncurses neXt netboot netcdf nethack network network-cron newspr njb nls nntp nobsh nologin nptl nsplugin ntfs ntp nvidia obex objc octave odbc offensive ofx ogdi ogg ogm on-the-fly-crypt openal opencl opencore-amr opengl openmp oss pam pam_chroot pam_timestamp pango parse-clocks pch pcre pcsc-lite pda pdf perl perlsuid pg-intdatetime phonon php physfs plasma plotutils png pnm policykit portaudio postgres postscript povray ppds private-headers profile pulseaudio pwdb python qmail qt3 qt3support qt4 quotas radio rar raw rdesktop readline real recode reiserfs remote romio rpm rrdtool rtc ruby samba savedconfig sblive scanner schroedinger sdk sdl semantic-desktop sensord server session sid slang slp smp sms smux sndfile snmp sou soundtouch spamassassin speex spell sqlite srp srt sse sse2 ssl startup-notification static-modules stencil-buffer stlport streamzap subject-rewrite subversion svg sysfs syslog szip t1lib taglib tcl tcltk tcpd templates tetex tga theora threads thumbnail tidy tiff timidity tivo tk toolbar transcode truetype ucs2 udev udisks unicode upnp upower urandom usb userlocales utempter utils v4l v4l2 vaapi vcd vdpau vdr vim-syntax vim-with-x visualization vnc vorbis vpx webgl webkit wifi win32codecs winbind wma wmf wxwidgets wxwindows x264 xanim xattr xcb xcomposite xetex xext xforms xft xine xinerama xml xml2 xmp xorg xosd xpm xprint xscreensaver xulrunner xv xvid yv12 zlib zvbi" ABI_X86="64" ALSA_CARDS="emu10k1 intel8x0" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="adc65 agfa-cl20 aox barbie canon clicksmart310 digigr8 digita dimera directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 kodak konica largan lg_gsm mars minolta mustek panasonic pccam300 pccam600 polaroid ptp2 ricoh samsung sierra sipix smal sonix sonydscf1 sonydscf55 soundvision spca50x sq905 stv0674 stv0680 sx330z template toshiba toshiba agfa_cl20 casio_qv dimagev dimera3500 kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica_qm150 panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 pentax polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ricoh_g3 sipix_blink sipix_blink2 sipix_web2 sony_dscf1 sony_dscf55 toshiba_pdrm11 jl2005a topfield ax203 jl2005c st2205 tp6801" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc efi-32 efi-64" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="pl en" LIRC_DEVICES="devinput inputlirc" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby18 ruby19 ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="nvidia intel fbdev v4l vesa vga" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, USE_PYTHON
Comment 5 Leszek Salamacha 2014-02-16 17:48:23 UTC
Created attachment 370556 [details]
build.log.gz
Comment 6 Ingo Krabbe 2014-02-25 13:54:28 UTC
Confirmed too:

Portage 2.2.8-r1 (default/linux/amd64/13.0, gcc-4.8.2, glibc-2.18-r1, 3.11.0-rc7master+ x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.11.0-rc7master+-x86_64-Intel-R-_Core-TM-_i5_CPU_M_430_@_2.27GHz-with-gentoo-2.2
KiB Mem:     3894824 total,    309212 free
KiB Swap:    8388604 total,   6726296 free
Timestamp of tree: Tue, 25 Feb 2014 07:45:01 +0000
ld GNU ld (GNU Binutils) 2.24
ccache version 3.1.9 [disabled]
app-shells/bash:          4.2_p45-r1
dev-java/java-config:     2.2.0::java-overlay
dev-lang/python:          2.7.6, 3.2.5-r3, 3.3.4
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.4, 1.14.1
sys-devel/binutils:       2.24-r2
sys-devel/gcc:            4.5.3-r2, 4.6.3, 4.8.2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.18-r1
Repositories: gentoo enlightenment betagarden kde mysql x11 sunrise java
ACCEPT_KEYWORDS="amd64 ~amd64 ~x86"
ACCEPT_LICENSE="* -@EULA skype-eula AdobeFlash-10 AdobeFlash-10.3 PUEL dlj-1.1 skype-4.0.0.7-copyright sun-bcla-java-vm Oracle-BCLA-JavaSE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -msse2 -mcx16 -msahf -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -msse2 -mcx16 -msahf -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://de-mirror.org/distro/gentoo/ ftp://de-mirror.org/distro/gentoo/ rsync://de-mirror.org/gentoo/ http://mirror.netcologne.de/gentoo/ ftp://mirror.netcologne.de/gentoo/ rsync://mirror.netcologne.de/gentoo/ http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/enlightenment /var/lib/layman/betagarden /var/lib/layman/kde /var/lib/layman/mysql /var/lib/layman/x11 /var/lib/layman/sunrise /var/lib/layman/java"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="acl amd64 berkdb bzip2 cli cracklib crypt cxx dri fortran gdbm iconv ipv6 mmx modules multilib ncurses nls nptl openmp pam pcre readline session sse sse2 ssl tcpd unicode zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev nv vesa nouveau i915 i965 intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

media-libs/mesa-9.2.4 was built with the following:
USE="classic egl gallium gbm gles1 gles2 llvm nptl openvg vdpau xa xorg xvmc -bindist -debug -llvm-shared-libs -opencl -osmesa -pax_kernel -pic -r600-llvm-compiler (-selinux) -wayland" ABI_X86="64 -32 -x32" VIDEO_CARDS="i915 i965 intel nouveau -freedreno -ilo -r100 -r200 -r300 -r600 -radeon -radeonsi -vmware"



... mesa-9.2.5-r1 fails with the eglLog linker errors. I will try with llvm-shared-libs now... but the mesa use flags need some more love ...

I will also try to link against the other openGL library...
Comment 7 Fred Krogh 2014-02-25 16:09:13 UTC
I'm getting this with mesa-9.2.5-r1, kernel-3.13.4, and nvidia-drivers-334.16-r7.

/usr/lib64/libLLVMSupport.a(Process.o): In function `llvm::sys::Process::FileDescriptorHasColors(int)':
Process.cpp:(.text+0x5f7): undefined reference to `setupterm'
Process.cpp:(.text+0x620): undefined reference to `tigetnum'
Process.cpp:(.text+0x629): undefined reference to `set_curterm'
Process.cpp:(.text+0x631): undefined reference to `del_curterm'
collect2: error: ld returned 1 exit status
Makefile:849: recipe for target 'egl_gallium.la' failed

=Portage 2.2.8-r1 (default/linux/amd64/13.0/desktop, gcc-4.8.2, glibc-2.19, 3.13.4-gentoo x86_64)
=================================================================
System uname: Linux-3.13.4-gentoo-x86_64-Intel-R-_Core-TM-_i7-2600_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:     8165100 total,   2979580 free
KiB Swap:    4194300 total,   4118664 free
Timestamp of tree: Mon, 24 Feb 2014 20:30:01 +0000
ld GNU ld (GNU Binutils) 2.24
app-shells/bash:          4.2_p45-r1
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.6, 3.3.4
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.10.3, 1.11.6, 1.12.6, 1.14.1
sys-devel/binutils:       2.24-r2
sys-devel/gcc:            4.7.3-r1, 4.8.2-r1
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.19
Repositories: gentoo x-portage
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask=n"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.osuosl.org http://ftp.ucsb.edu/pub/mirrors/linux/gentoo http://cudlug.cudenver.edu/gentoo http://gentoo.binarycompass.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS=" --exclude=/.unionfs --exclude=.fuse_hidden*"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="64bit X a52 aac acl acpi ads alsa amd64 apache2 apng auctex bash-completion bcmath berkdb bluetooth branding bzip2 cairo caps caps-ng cdda cdr cdrom clamav clamd cli clisp colordiff consolekit cracklib crypt cups cxx dbus dconf debugger device-mapper dri dts dvd dvdr dvdread emacs emboss emul-linux86 encode exif fam fastcgi ffmpeg flac fontconfig fortran ftpuf g3dvl games gdbm gdu gif gnome gpm graphite gstreamer gtk gudev hwdb iconv icu introspection ipod ipv6 java javascript jpeg keymap kpathsea latex latin1 lcms ldap libclamav libnotify libwww logrotate mad mbox mmx mmxext mng modemmanager modules mono motif mouse mp3 mp4 mpeg multilib mysql nat ncurses network-cron nls nptl nsplugin nvidia ogg opengl openmp openrc pam pango pcre pdf png policykit pop pop3d ppds preview-latex pulseaudio python qt3support qt4 readline regex rpc samba sdl session smbclient sockets sound spamassassin spell sqlite sse sse2 ssl startup-notification sudoku svg symlink systemd tcpd theora threads thunderbird tiff truetype udev udisks unicode upcall upower usb vdpau vhosts vorbis webkit winbind wxwidgets x264 xcb xcomposite xml xulrunner xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter fcgid file_cache filter headers hwdb ident imagemap include info log_config logio macro mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http python rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_US" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, USE_PYTHON
================ emerge --info ============================
Comment 8 Reuben Martin 2014-02-25 18:19:51 UTC
I had this issue also. Manually using eselect to set opengl to xorg-x11 before emerging fixed it.

media-libs/mesa-9.2.5-r1
x11-drivers/nvidia-drivers-334.16-r7
Comment 9 Uros 2014-02-27 05:49:05 UTC
Manually setting opengl to xorg-x11 before emerging works for me as well, but I also had to mask =sys-devel/llvm-3.4 because of https://bugs.gentoo.org/show_bug.cgi?id=481316.

media-libs/mesa-9.2.5-r1
x11-drivers/nvidia-drivers-334.16-r7
sys-devel/llvm-3.3-r3
Comment 10 Uros 2014-02-27 06:06:04 UTC
Switching opengl to xorg-x11 also works with sys-devel/llvm-3.4, but it has to be emerged with USE="-ncurses" (as mentioned in https://bugs.gentoo.org/show_bug.cgi?id=481316).

media-libs/mesa-9.2.5-r1
x11-drivers/nvidia-drivers-334.16-r7
sys-devel/llvm-3.4 -ncurses
Comment 11 Mike Johnson 2014-02-28 07:57:13 UTC
I also tried the eselect opengl=xorg-x11 trick but it still failed for me.
Comment 12 Jeroen Roovers gentoo-dev 2014-02-28 16:03:55 UTC
(In reply to Mike Johnson from comment #11)
> I also tried the eselect opengl=xorg-x11 trick but it still failed for me.

Try `eselect opengl set xorg-x11' .
Comment 13 Silvio 2014-03-01 12:56:55 UTC
I have the problem about gallium, even after:

eselect opengl set xorg-x11

here the final output of my emerge log:

/4.8.2/crtendS.o /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/../../../../lib64/crtn.o  -march=native -O2 -Wl,--no-undefined -Wl,--allow-multiple-definition -Wl,-O1   -pthread -Wl,-soname -Wl,egl_gallium.so -o .libs/egl_gallium.so
/usr/lib64/libLLVMSupport.a(Process.o): In function `llvm::sys::Process::FileDescriptorHasColors(int)':
(.text+0x5f7): undefined reference to `setupterm'
/usr/lib64/libLLVMSupport.a(Process.o): In function `llvm::sys::Process::FileDescriptorHasColors(int)':
(.text+0x620): undefined reference to `tigetnum'
/usr/lib64/libLLVMSupport.a(Process.o): In function `llvm::sys::Process::FileDescriptorHasColors(int)':
(.text+0x629): undefined reference to `set_curterm'
/usr/lib64/libLLVMSupport.a(Process.o): In function `llvm::sys::Process::FileDescriptorHasColors(int)':
(.text+0x631): undefined reference to `del_curterm'
collect2: error: ld returned 1 exit status
Makefile:849: recipe for target 'egl_gallium.la' failed
gmake[3]: *** [egl_gallium.la] Error 1
gmake[3]: Leaving directory '/var/tmp/portage/media-libs/mesa-9.2.5-r1/work/Mesa-9.2.5-amd64/src/gallium/targets/egl-static'
Makefile:575: recipe for target 'all-recursive' failed
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory '/var/tmp/portage/media-libs/mesa-9.2.5-r1/work/Mesa-9.2.5-amd64/src/gallium/targets'
Makefile:552: recipe for target 'all-recursive' failed
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory '/var/tmp/portage/media-libs/mesa-9.2.5-r1/work/Mesa-9.2.5-amd64/src'
Makefile:603: recipe for target 'all-recursive' failed
make: *** [all-recursive] Error 1
Comment 14 Silvio 2014-03-01 12:57:44 UTC
my emerge --info

emerge --info
Portage 2.2.8-r1 (default/linux/amd64/13.0/desktop/kde, gcc-4.8.2, glibc-2.18-r1, 3.12.12-gentoo x86_64)                                                                 
=================================================================                                                                                                        
System uname: Linux-3.12.12-gentoo-x86_64-Intel-R-_Core-TM-_i7-2630QM_CPU_@_2.00GHz-with-gentoo-2.2                                                                      
KiB Mem:    16443372 total,  10620948 free                                                                                                                               
KiB Swap:          0 total,         0 free                                                                                                                               
Timestamp of tree: Fri, 28 Feb 2014 22:15:01 +0000                                                                                                                       
ld ld di GNU (GNU Binutils) 2.24                                                                                                                                         
distcc 3.1 x86_64-pc-linux-gnu [disabled]                                                                                                                                
ccache version 3.1.9 [enabled]                                                                                                                                           
app-shells/bash:          4.2_p45-r1                                                                                                                                     
dev-java/java-config:     2.2.0                                                                                                                                          
dev-lang/python:          2.7.6, 3.3.4                                                                                                                                   
dev-util/ccache:          3.1.9-r3                                                                                                                                       
dev-util/cmake:           2.8.12.2                                                                                                                                       
dev-util/pkgconfig:       0.28                                                                                                                                           
sys-apps/baselayout:      2.2                                                                                                                                            
sys-apps/openrc:          0.12.4                                                                                                                                         
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.14.1
sys-devel/binutils:       2.24-r2
sys-devel/gcc:            4.7.3-r1, 4.8.2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.18-r1
Repositories: gentoo sunrise gamerlay Techwolf pinkbyte luman voyageur nikai yarik-overlay zugaina belak bangert maggu2810-overlay maekke pentoo amielke-overlay manual bibletime
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.1/conf /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS=" http://mirror.ovh.net/gentoo-distfiles/ http://ftp.heanet.ie/pub/gentoo/ http://mirror.ovh.net/gentoo-distfiles/ http://www.die.unipd.it/pub/Linux/distributions/gentoo-sources/ rsync://rsync3.it.gentoo.org/gentoo-sources/ ftp://ftp.unina.it/pub/linux/distributions/gentoo/"
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sunrise /var/lib/layman/gamerlay /var/lib/layman/techwolf /var/lib/layman/pinkbyte /var/lib/layman/luman /var/lib/layman/voyageur /var/lib/layman/nikai /var/lib/layman/yarik-overlay /var/lib/layman/zugaina /var/lib/layman/belak /var/lib/layman/bangert /var/lib/layman/maggu2810-overlay /var/lib/layman/maekke /var/lib/layman/pentoo /var/lib/layman/amielke-overlay /usr/portage/local/manual /var/lib/layman/bibletime"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3ds 64bit X a52 aac aacs aalib acl acpi ads aften aiglx akode alias alsa amd64 amr ao apache apm apng audiofile autoreplace autotrace avahi avi bash-completion berkdb bitmap-fonts bluetooth bluray bmp branding browserplugin bzip bzip2 cairo cdaudio cdda cdr cli clucene connectionstatus consolekit contactnotes cracklib crypt cuda cups cvd cvs cxx dbus declarative dia dialup djvu dri dtmf dts dv dvd dvdr dvdread dvi dynamicplugin ebook efi emboss encode ethereal exif fam farstream fat ffmpeg firefox flac fluidsynth fontconfig foomaticdb fortran freetds frei0r gbm gdbm geolocation gif gimp git gles gles2 glib glitz gphoto2 gpm gps gpu groupwise gstreamer gtk gtk3 h323 highlight history hvm i8x0 iconv icu ieee1394 imagemagick innodb ios iphone ipod ipv6 irc ithreads jack java javascript jingle jpeg jpeg2k kde kdenlive kdepim kerberos kipi kontact kqemu lame laptop lcms ldap libkms libnotify lm_sensors lucene m4a mad marble mbrola mdb mdnsresponder-compat mercurial midi mime minizip mmx mmxext mng modules moonlight mozilla mp3 mp4 mpeg mpeg2 mplayer msn mssql multilib musepack musicbrainz mysql ncurses netmeeting nls nowlistening npt1 nptl nptlonly nsplugin ntfs nvidia odbc ogg openal openexr opengl openipmi openmp opus oss pam pango pcmcia pcre pda pdf perl phonon plasma pmu png policykit portaudio postgres ppds python python3 qemu qt qt3support qt4 quicktime rar raw rdesktop rdp readline reiserfs reports samba sametime sane scanner sdl semantic-desktop session sip sipim skype smp sms soundtouch speex spell sqlite sse sse2 ssh ssl ssse3 startup-notification subtitles subversion svg tcpd texteffect texteffects theora tidy tiff timidity tk tordns translator truetype truetype-fonts twolame type1-fonts udev udisks unicode upower usb utempter v4l v4l2 vcd vdpau video virtualbox vnc vorbis vpx wav wavpack webkit webpresence wicd wifi win32codecs win64 winbind winetriks winpopup wlm wmf wxwidgets wxwindows x264 xcb xcomposite xen xetex xine xinerama xml xmp xscreensaver xv xvid xvmc yahoo zeroconf zlib" ABI_X86="64" ALSA_CARDS="snd_hda_intel" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev joystick synaptics wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="it en it_IT" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby18 ruby21" SANE_BACKENDS="*" USERLAND="GNU" VIDEO_CARDS="nvidia nv vesa nouveau v4l v4l2" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 15 Silvio 2014-03-01 13:01:34 UTC
Created attachment 371490 [details]
my complete build log

this is get with xorg-x11 opengl, after the command:

eselect opengl xorg-x11
Comment 16 Chí-Thanh Christopher Nguyễn gentoo-dev 2014-03-01 13:46:37 UTC
> (.text+0x5f7): undefined reference to `setupterm'

That is a different issue, bug 481316.
Comment 17 Mike Johnson 2014-03-03 19:15:10 UTC
(In reply to Jeroen Roovers from comment #12)
> (In reply to Mike Johnson from comment #11)
> > I also tried the eselect opengl=xorg-x11 trick but it still failed for me.
> 
> Try `eselect opengl set xorg-x11' .

Of course that is what I did.  Sorry for the the wording.
Comment 18 Alex Xu (Hello71) 2014-03-09 01:50:06 UTC
*** Bug 503900 has been marked as a duplicate of this bug. ***
Comment 19 i.Dark_Templar 2014-03-09 13:37:47 UTC
Same bug for me. Setting opengl as 'xorg-x11' worked fine last time.

# emerge --info mesa
Portage 2.2.8-r1 (default/linux/amd64/13.0/desktop, gcc-4.7.3, glibc-2.17, 3.10.32-gentoo.44 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.10.32-gentoo.44-x86_64-Pentium-R-_Dual-Core_CPU_T4200_@_2.00GHz-with-gentoo-2.2
KiB Mem:     4051072 total,    997544 free
KiB Swap:    4190880 total,   4133364 free
Timestamp of tree: Sun, 09 Mar 2014 00:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-lang/python:          2.7.5-r3, 3.3.3
dev-util/cmake:           2.8.12.1-r4
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo local-overlay
Installed sets: @enlightenment, @kde
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y --binpkg-respect-use=y --autounmask=n --complete-graph=y --keep-going"
FCFLAGS="-O2 -pipe"
FEATURES="binpkg-logs distlocks ebuild-locks fakeroot fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.bloodhost.ru/ http://gentoo.iteam.net.ua/ http://mirror.qubenet.net/mirror/gentoo/ ftp://gentoo.imj.fr/pub/gentoo/ ftp://gentoo.lagis.at/"
INSTALL_MASK=" /etc/systemd /lib/systemd /lib32/systemd /lib64/systemd /lib/tmpfiles.d /lib32/tmpfiles.d /lib64/tmpfiles.d /usr/lib/systemd /usr/lib32/systemd /usr/lib64/systemd /usr/lib/tmpfiles.d /usr/lib32/tmpfiles.d /usr/lib64/tmpfiles.d "
LANG="ru_RU.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC=""
USE="X a52 aac acl acpi alsa amd64 amr apm ares bash-completion bidi bluetooth branding bzip2 c++0x cairo caps cdda cdio cdr cleartype cli consolekit cracklib crypt cue cups custom-cflags custom-optimization cxx dbus dga dirac dri dts dvd dvdr emboss encode exif faad fam fbcon ffmpeg firefox flac fontconfig fontforge freetype gcrypt gif gmp gnutls gpm gtk iconv icu idn imlib inotify ipv6 jadetex jpeg kde lcms libass libdvdcss lzma lzo mad matroska midi mmap mmx mng modules mp3 mp4 mpeg mpi multilib ncurses network nfs nls nptl offensive ogg openal opengl openmp pango pch pcmcia pcntl pcre pdf pic plasma pm-utils png policykit posix postproc ppds private-headers projectm qt3support qt4 raw readline schroedinger session sftp sndfile sockets spell sse sse2 ssl ssse3 startup-notification svg system-cairo system-icu system-jpeg system-sqlite tcpd tga theora threads tiff truetype udev udisks unicode upower usb utils v4l vaapi vdpau vorbis vpx wavpack wicd wifi wma wxwidgets x264 xattr xcb xcomposite xft xinerama xpm xscreensaver xv xvid zlib" ABI_X86="64 32" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ru en ru_RU en_US" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby20" SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="vesa vga nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

media-libs/mesa-9.2.5 was built with the following:
USE="classic egl gallium gles1 gles2 llvm llvm-shared-libs nptl osmesa pic vdpau xa xvmc -bindist -debug -gbm -opencl -openvg -pax_kernel -r600-llvm-compiler (-selinux) -wayland -xorg" ABI_X86="32 64 -x32" VIDEO_CARDS="-freedreno -i915 -i965 -ilo -intel -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi -vmware"
Comment 20 i.Dark_Templar 2014-03-09 13:56:21 UTC
$ nm -D --defined-only /usr/lib64/opengl/xorg-x11/lib/libEGL.so | awk '{ print $3 }' | sort -u
__bss_start
_edata
eglBindAPI
_eglBindContext
eglBindTexImage
_eglBindTexImage
eglBindWaylandDisplayWL
_eglCheckResource
eglChooseConfig
eglChooseModeMESA
_eglCleanupDisplay
eglClientWaitSyncKHR
_eglCompareConfigs
eglCopyBuffers
eglCopyContextMESA
eglCreateContext
eglCreateDRMImageMESA
eglCreateImageKHR
eglCreatePbufferFromClientBuffer
eglCreatePbufferSurface
eglCreatePixmapSurface
eglCreateScreenSurfaceMESA
eglCreateSyncKHR
eglCreateWindowSurface
_eglDestroyArray
eglDestroyContext
eglDestroyImageKHR
eglDestroySurface
eglDestroySyncKHR
_eglError
eglExportDRMImageMESA
_eglFilterArray
_eglFilterConfigArray
_eglGetAPIContext
eglGetConfigAttrib
eglGetConfigs
eglGetCurrentContext
_eglGetCurrentContext
eglGetCurrentDisplay
eglGetCurrentSurface
_eglGetCurrentThread
eglGetDisplay
eglGetDRMDisplayMESA
eglGetError
eglGetModeAttribMESA
eglGetModesMESA
eglGetProcAddress
_eglGetResource
eglGetScreensMESA
eglGetSyncAttribKHR
_eglInitConfig
_eglInitContext
_eglInitDriverFallbacks
eglInitialize
_eglInitImage
_eglInitScreen
_eglInitSurface
_eglInitSync
_eglLinkConfig
_eglLinkScreen
_eglLog
eglMakeCurrent
_eglMatchConfig
_eglParseConfigAttribList
_eglParseImageAttribList
eglPostSubBufferNV
_eglPutResource
eglQueryAPI
eglQueryContext
eglQueryModeStringMESA
eglQueryScreenMESA
eglQueryScreenModeMESA
eglQueryScreenSurfaceMESA
eglQueryString
eglQuerySurface
eglQueryWaylandBufferWL
_eglReleaseDisplayResources
eglReleaseTexImage
eglReleaseThread
eglScreenPositionMESA
_eglSearchPathForEach
_eglSetLogLevel
_eglSetLogProc
eglShowScreenSurfaceMESA
eglSignalSyncKHR
eglSurfaceAttrib
eglSwapBuffers
eglSwapBuffersRegionNOK
eglSwapBuffersWithDamageEXT
eglSwapInterval
eglTerminate
eglUnbindWaylandDisplayWL
_eglValidateConfig
eglWaitClient
eglWaitGL
eglWaitNative
_end
_fini
_init

$ nm -D --defined-only /usr/lib64/opengl/nvidia/lib/libEGL.so | awk '{ print $3 }' | sort -u
eglBindAPI
eglBindTexImage
eglChooseConfig
eglCopyBuffers
eglCreateContext
eglCreatePbufferFromClientBuffer
eglCreatePbufferSurface
eglCreatePixmapSurface
eglCreateWindowSurface
eglDestroyContext
eglDestroySurface
eglGetConfigAttrib
eglGetConfigs
eglGetCurrentContext
eglGetCurrentDisplay
eglGetCurrentSurface
eglGetDisplay
eglGetError
eglGetProcAddress
eglInitialize
eglMakeCurrent
eglQueryAPI
eglQueryContext
eglQueryString
eglQuerySurface
eglReleaseTexImage
eglReleaseThread
eglSurfaceAttrib
eglSwapBuffers
eglSwapInterval
eglTerminate
eglWaitClient
eglWaitGL
eglWaitNative
NvEglRegClientApi
Comment 21 Justin Lecher gentoo-dev 2014-03-10 10:41:53 UTC
*** Bug 504058 has been marked as a duplicate of this bug. ***
Comment 22 Morten 2014-03-13 11:40:33 UTC
The 'eselect opengl set xorg-x11' trick had no effect, but running

rm /usr/lib*/libEGL* /usr/lib*/libOpenVG.so

solved it for me.
Comment 23 Mike Johnson 2014-03-17 16:12:55 UTC
This is now a non-issue for me.  Mesa-10-x series emerges fine with the nvidia-drivers-334.xx series.
Comment 24 coran.fisher@gmail.com 2014-03-17 18:16:04 UTC
rm /usr/lib*/libEGL* /usr/lib*/libOpenVG.so
solved it for me as well
Comment 25 Matt Turner gentoo-dev 2014-03-19 20:26:19 UTC
(In reply to Mike Johnson from comment #23)
> This is now a non-issue for me.  Mesa-10-x series emerges fine with the
> nvidia-drivers-334.xx series.

Oh, that's good news. Can anyone else confirm? Both of the duplicates of this bug were reported against newer versions, so we have evidence against.

I've requested mesa-10.0.4 be stabilized in bug 500368.

I investigated this bug and couldn't find the cause. It may have been because something changed from 9.2 to 10.0 and I was only looking at more recent sources.

The problem is that Gallium's EGL state tracker is attempting to link against the system's libEGL rather than the libEGL that Mesa just built. I can't see any evidence that its Makefile ever attempted to link with -lEGL, so I don't know what's happening. The undefined symbols are because Mesa's libEGL exports some extra symbols for Gallium's EGL state tracker, and the Nvidia libEGL doesn't have them.
Comment 26 Alex Xu (Hello71) 2014-03-19 21:18:21 UTC
*** Bug 505064 has been marked as a duplicate of this bug. ***
Comment 27 Jeroen Roovers gentoo-dev 2014-03-19 22:50:45 UTC
(In reply to Matt Turner from comment #25)
> The problem is that Gallium's EGL state tracker is attempting to link
> against the system's libEGL rather than the libEGL that Mesa just built. I
> can't see any evidence that its Makefile ever attempted to link with -lEGL,

It's only in src_install() when libtool is doing its relinking that it goes wrong.

> so I don't know what's happening. The undefined symbols are because Mesa's
> libEGL exports some extra symbols for Gallium's EGL state tracker, and the
> Nvidia libEGL doesn't have them.

Correct. How do we tell libtool to behave?
Comment 28 Jeroen Roovers gentoo-dev 2014-03-22 05:36:05 UTC
*** Bug 505318 has been marked as a duplicate of this bug. ***
Comment 29 Justin Lecher gentoo-dev 2014-03-23 07:25:49 UTC
Created attachment 373288 [details]
mesa-10.1.0:20140323-053119.log.xz

Still fails with latest mesa and nvidia-drivers
Comment 30 Jeroen Roovers gentoo-dev 2014-03-23 13:58:46 UTC
Comment on attachment 373288 [details]
mesa-10.1.0:20140323-053119.log.xz

(In reply to Justin Lecher from comment #29)
> Created attachment 373288 [details]
> mesa-10.1.0:20140323-053119.log.xz
> 
> Still fails with latest mesa and nvidia-drivers

Of course it does.
Comment 31 Justin Lecher gentoo-dev 2014-03-23 14:06:38 UTC
(In reply to Jeroen Roovers from comment #30)
> Comment on attachment 373288 [details]
> mesa-10.1.0:20140323-053119.log.xz
> 
> (In reply to Justin Lecher from comment #29)
> > Created attachment 373288 [details]
> > mesa-10.1.0:20140323-053119.log.xz
> > 
> > Still fails with latest mesa and nvidia-drivers
> 
> Of course it does.

Not here.
Comment 32 Justin Lecher gentoo-dev 2014-03-23 14:12:57 UTC
libtool: relink: x86_64-pc-linux-gnu-g++ -m32  -fPIC -DPIC -shared -nostdlib /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/../../../../lib32/crti.o /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/32/crtbeginS.o  .libs/egl.o .l$
egl.c:71: error: undefined reference to '_eglLog'
egl.c:71: error: undefined reference to '_eglLog'
egl.c:73: error: undefined reference to '_eglLog'
egl.c:99: error: undefined reference to '_eglLog'
common/egl_g3d_api.c:820: error: undefined reference to '_eglError'
common/egl_g3d_api.c:810: error: undefined reference to '_eglError'
common/egl_g3d_api.c:812: error: undefined reference to '_eglError'
common/egl_g3d_api.c:808: error: undefined reference to '_eglError'
common/egl_g3d_api.c:641: error: undefined reference to '_eglGetCurrentContext'
common/egl_g3d_api.c:357: error: undefined reference to '_eglInitSurface'
common/egl_g3d_api.c:696: error: undefined reference to '_eglGetAPIContext'
common/egl_g3d_api.c:125: error: undefined reference to '_eglParseConfigAttribList'
common/egl_g3d_api.c:139: error: undefined reference to '_eglFilterConfigArray'
common/egl_g3d_api.c:102: error: undefined reference to '_eglCompareConfigs'
common/egl_g3d_api.c:116: error: undefined reference to '_eglMatchConfig'
common/egl_g3d_api.c:557: error: undefined reference to '_eglGetCurrentContext'
common/egl_g3d_api.c:676: error: undefined reference to '_eglGetCurrentContext'
common/egl_g3d_api.c:254: error: undefined reference to '_eglInitSurface'
common/egl_g3d_api.c:763: error: undefined reference to '_eglGetAPIContext'
../../../../src/egl/main/eglcontext.h:99: error: undefined reference to '_eglPutResource'
common/egl_g3d_api.c:160: error: undefined reference to '_eglInitContext'
../../../../src/egl/main/eglsurface.h:120: error: undefined reference to '_eglPutResource'
common/egl_g3d_api.c:497: error: undefined reference to '_eglBindContext'
../../../../src/egl/main/eglcontext.h:99: error: undefined reference to '_eglPutResource'
../../../../src/egl/main/eglsurface.h:120: error: undefined reference to '_eglPutResource'
common/egl_g3d_api.c:535: error: undefined reference to '_eglBindContext'
common/egl_g3d_api.c:893: error: undefined reference to '_eglInitDriverFallbacks'
common/egl_g3d.c:489: error: undefined reference to '_eglReleaseDisplayResources'
common/egl_g3d.c:492: error: undefined reference to '_eglDestroyArray'
common/egl_g3d.c:496: error: undefined reference to '_eglDestroyArray'
common/egl_g3d.c:500: error: undefined reference to '_eglCleanupDisplay'
common/egl_g3d.c:195: error: undefined reference to '_eglInitScreen'
common/egl_g3d.c:212: error: undefined reference to '_eglLinkScreen'
common/egl_g3d.c:448: error: undefined reference to '_eglInitConfig'
common/egl_g3d.c:324: error: undefined reference to '_eglValidateConfig'
common/egl_g3d.c:457: error: undefined reference to '_eglLinkConfig'
common/egl_g3d_image.c:238: error: undefined reference to '_eglInitImage'
common/egl_g3d_image.c:144: error: undefined reference to '_eglParseImageAttribList'
common/egl_g3d_image.c:321: error: undefined reference to '_eglInitImage'
common/egl_g3d_image.c:76: error: undefined reference to '_eglParseImageAttribList'
../../../../src/egl/main/eglimage.h:145: error: undefined reference to '_eglCheckResource'
common/egl_g3d_sync.c:154: error: undefined reference to '_eglGetCurrentContext'
Comment 33 Jeroen Roovers gentoo-dev 2014-03-23 14:23:55 UTC
(In reply to Justin Lecher from comment #31)
> > > Still fails with latest mesa and nvidia-drivers
> > 
> > Of course it does.
> 
> Not here.

What do you mean? It looks like a contradiction.

Comment #25 nearly got it right:

media-libs/mesa's src_install()'s libtool tries to relink against -L${libdir} which as an incompatible version of libEGL owned at that time by x11-drivers/nvidia-drivers because media-libs/mesa adds some internal functions not present in Nvidia's library.

A newer version of media-libs/mesa will not fix that.

However, you might not see the problem if you happen to emerge it at a time when ${libdir}/libEGL.so is owned by media-libs/mesa itself.

The ugly workaround is to run `eselect opengl set xorg-x11' before you emerge media-libs/mesa. The proper fix is to teach libtool not to relink against -L${libdir} [1].

More confirmation of things working or not working randomly are not going to help the effort here.

[1] Use ${libdir/opengl/xorg-x11/lib instead? [2]
[2] But wouldn't that clash with -rpath ${libdir}?
Comment 34 Jeroen Roovers gentoo-dev 2014-03-23 14:24:35 UTC
(In reply to Justin Lecher from comment #32)

Could you stop confirming the obvious, please?
Comment 35 Justin Lecher gentoo-dev 2014-03-23 14:26:56 UTC
(In reply to Jeroen Roovers from comment #33)
> (In reply to Justin Lecher from comment #31)
> > > > Still fails with latest mesa and nvidia-drivers
> > > 
> > > Of course it does.
> > 
> > Not here.
> 
> What do you mean? It looks like a contradiction.
> 

Sorry I got you wrong. I understood "Of course it works".
Comment 36 i.Dark_Templar 2014-03-29 11:38:33 UTC
mesa-10.0.4 built fine for me with nvidia being selected opengl implementation.

$ emerge --info mesa nvidia-drivers
Portage 2.2.8-r1 (default/linux/amd64/13.0/desktop, gcc-4.7.3, glibc-2.17, 3.12.13-gentoo.44 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.12.13-gentoo.44-x86_64-Pentium-R-_Dual-Core_CPU_T4200_@_2.00GHz-with-gentoo-2.2
KiB Mem:     4050836 total,   2202028 free
KiB Swap:    4190880 total,   4190880 free
Timestamp of tree: Sat, 29 Mar 2014 00:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-lang/python:          2.7.5-r3, 3.3.3
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo local-overlay
Installed sets: @enlightenment, @kde
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y --binpkg-respect-use=y --autounmask=n --complete-graph=y --keep-going"
FCFLAGS="-O2 -pipe"
FEATURES="binpkg-logs distlocks ebuild-locks fakeroot fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.bloodhost.ru/ http://gentoo.iteam.net.ua/ http://mirror.qubenet.net/mirror/gentoo/ ftp://gentoo.imj.fr/pub/gentoo/ ftp://gentoo.lagis.at/"
INSTALL_MASK=" /etc/systemd /lib/systemd /lib32/systemd /lib64/systemd /lib/tmpfiles.d /lib32/tmpfiles.d /lib64/tmpfiles.d /usr/lib/systemd /usr/lib32/systemd /usr/lib64/systemd /usr/lib/tmpfiles.d /usr/lib32/tmpfiles.d /usr/lib64/tmpfiles.d "
LANG="ru_RU.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC=""
USE="X a52 aac acl acpi alsa amd64 amr apm ares bash-completion bidi bluetooth branding bzip2 c++0x cairo caps cdda cdio cdr cleartype cli consolekit cracklib crypt cue cups custom-cflags custom-optimization cxx dbus dga dirac dri dts dvd dvdr emboss encode exif faad fam fbcon ffmpeg firefox flac fontconfig fontforge freetype gcrypt gif gme gmp gnutls gpm gtk iconv icu idn imlib inotify ipv6 jadetex jpeg kde lcms libass libdvdcss lzma lzo mad matroska midi mmap mmx mng modules mp3 mp4 mpeg mpi multilib ncurses network nfs nls nptl offensive ogg openal opengl openmp pango pch pcmcia pcntl pcre pdf pic plasma pm-utils png policykit posix postproc ppds private-headers projectm qt3support qt4 raw readline schroedinger session sftp sndfile sockets spell sse sse2 ssl ssse3 startup-notification svg system-cairo system-icu system-jpeg system-sqlite tcpd tga theora threads tiff truetype udev udisks unicode upower usb utils v4l vaapi vdpau vorbis vpx wavpack wicd wifi wma wxwidgets x264 xattr xcb xcomposite xft xinerama xpm xscreensaver xv xvid zlib" ABI_X86="64 32" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ru en ru_RU en_US" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby20" SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="vesa vga nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

media-libs/mesa-10.0.4 was built with the following:
USE="classic egl gallium gles1 gles2 llvm llvm-shared-libs nptl osmesa pic vdpau xa xvmc -bindist -debug -gbm -opencl -openvg -pax_kernel -r600-llvm-compiler (-selinux) -wayland" ABI_X86="32 64 -x32" VIDEO_CARDS="-freedreno -i915 -i965 -ilo -intel -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi -vmware"


x11-drivers/nvidia-drivers-334.21-r1 was built with the following:
USE="X acpi multilib tools uvm -pax_kernel"
Comment 37 Navid Zamani 2014-03-29 23:59:02 UTC
(In reply to i.Dark_Templar from comment #36)
Due to -openvg?

I can’t disable it because cairo needs it.
Comment 38 i.Dark_Templar 2014-03-30 13:04:08 UTC
(In reply to Navid Zamani from comment #37)
> (In reply to i.Dark_Templar from comment #36)
> Due to -openvg?
> 
> I can’t disable it because cairo needs it.

I've tried to rebuild mesa with openvg:

# USE="openvg" emerge -1v mesa

and it failed to build. So, yes, it built for me because of my USE flags.
Comment 39 Rafał Mużyło 2014-04-09 23:02:58 UTC
hmm...

Would one of the people that get the failure mind attaching their config.log ?
Though my first suspect would be 'llvm-config --ldflags' (and mesa adding those to _LDFLAGS instead of _L{IB,D}ADD).

On that note, what does that script return for multilib builds ?
Comment 40 Jeroen Roovers gentoo-dev 2014-04-09 23:38:17 UTC
*** Bug 507262 has been marked as a duplicate of this bug. ***
Comment 41 Navid Zamani 2014-04-10 00:12:41 UTC
(In reply to Rafał Mużyło from comment #39)
> Would one of the people that get the failure mind attaching their config.log
> ?
I would, but I have no idea what you mean by that. The part of the build log that is the output of ./configure?

There is already a build log attached to this bug.

> On that note, what does that script return for multilib builds ?

Mine has the line “running multilib-minimal_abi_src_configure” for both x86 and amd64 in it.

If you can tell me what exactly you need, I can provide it.
Comment 42 Rafał Mużyło 2014-04-10 00:50:40 UTC
(In reply to Navid Zamani from comment #41)
> (In reply to Rafał Mużyło from comment #39)
> > Would one of the people that get the failure mind attaching their config.log
> > ?
> I would, but I have no idea what you mean by that. The part of the build log
> that is the output of ./configure?
> 
> There is already a build log attached to this bug.

...no, config.log means config.log (one of the files produced during ./configure run)

> > On that note, what does that script return for multilib builds ?
> 
> Mine has the line “running multilib-minimal_abi_src_configure” for both x86
> and amd64 in it.
> 
You've misunderstood me here.
Comment 43 jospezial 2014-04-10 01:25:50 UTC
https://bugs.gentoo.org/show_bug.cgi?id=507274

I have found something similar with the openvg USEflag when I wanted to downgrade from mesa-9999 .

Steps to reproduce:

1. emerge media-libs/mesa-9999 from overlay with USE="openvg"
2. try to emerge media-libs/mesa-10.1.0 or 10.0.4  with USE="openvg"

I don't have nvidia-drivers installed.

libtool seems to use the system's libs or headers of openvg.
Simple unmerging mesa does not help because of preserved libs.


libtool: relink: x86_64-pc-linux-gnu-g++  -fPIC -DPIC -shared -nostdlib /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/../../../../lib64/crti.o /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/crtbeginS.o  .libs/egl.o .libs/egl_pipe.o .libs/egl_st.o  -Wl,--whole-archive ../../../../src/gallium/auxiliary/.libs/libgallium.a ../../../../src/gallium/drivers/identity/.libs/libidentity.a ../../../../src/gallium/drivers/trace/.libs/libtrace.a ../../../../src/gallium/drivers/rbug/.libs/librbug.a ../../../../src/gallium/state_trackers/egl/.libs/libegl.a ../../../../src/gallium/winsys/sw/xlib/.libs/libws_xlib.a ../../../../src/mesa/.libs/libmesagallium.a ../../../../src/gallium/state_trackers/vega/.libs/libvega.a ../../../../src/gallium/winsys/radeon/drm/.libs/libradeonwinsys.a ../../../../src/gallium/drivers/r600/.libs/libr600.a ../../../../src/gallium/drivers/softpipe/.libs/libsoftpipe.a ../../../../src/gallium/drivers/llvmpipe/.libs/libllvmpipe.a -Wl,--no-whole-archive  -L/var/tmp/portage/media-libs/mesa-10.0.4/work/Mesa-10.0.4-amd64/src/gbm/.libs -L/var/tmp/portage/media-libs/mesa-10.0.4/work/Mesa-10.0.4-amd64/src/mapi/shared-glapi/.libs -L/usr/lib64 -Wl,--as-needed -L/var/tmp/portage/media-libs/mesa-10.0.4/image//usr/lib64 -lEGL -lX11-xcb -lxcb-dri2 -lxcb-xfixes -lxcb-render -lxcb-shape -lxcb -lX11 -lXext -lXfixes -lgbm -ludev -ldrm -lglapi -lOpenVG -lelf -ldrm_radeon -lz -lpthread -lffi -lcurses -ldl -lLLVM-3.4 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/../../../../x86_64-pc-linux-gnu/lib -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/../../.. -lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/crtendS.o /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/../../../../lib64/crtn.o  -march=native -O2 -Wl,--no-undefined -Wl,--allow-multiple-definition -Wl,-O1 -Wl,--version-script=../../../../src/gallium/targets/egl-static/egl.link   -pthread -Wl,-soname -Wl,egl_gallium.so -o .libs/egl_gallium.so
../../../../src/gallium/state_trackers/vega/.libs/libvega.a(vgu.o): In function `vgu_append_float_coords':
/var/tmp/portage/media-libs/mesa-10.0.4/work/Mesa-10.0.4-amd64/src/gallium/state_trackers/vega/vgu.c:51: undefined reference to `vgAppendPathData'
../../../../src/gallium/state_trackers/vega/.libs/libvega.a(vgu.o): In function `vguLine':
/var/tmp/portage/media-libs/mesa-10.0.4/work/Mesa-10.0.4-amd64/src/gallium/state_trackers/vega/vgu.c:65: undefined reference to `vgGetPathCapabilities'
../../../../src/gallium/state_trackers/vega/.libs/libvega.a(vgu.o): In function `vguPolygon':
/var/tmp/portage/media-libs/mesa-10.0.4/work/Mesa-10.0.4-amd64/src/gallium/state_trackers/vega/vgu.c:98: undefined reference to `vgGetPathCapabilities'
../../../../src/gallium/state_trackers/vega/.libs/libvega.a(vgu.o): In function `vguRect':
/var/tmp/portage/media-libs/mesa-10.0.4/work/Mesa-10.0.4-amd64/src/gallium/state_trackers/vega/vgu.c:144: undefined reference to `vgGetPathCapabilities'
../../../../src/gallium/state_trackers/vega/.libs/libvega.a(vgu.o): In function `vguRoundRect':
/var/tmp/portage/media-libs/mesa-10.0.4/work/Mesa-10.0.4-amd64/src/gallium/state_trackers/vega/vgu.c:187: undefined reference to `vgGetPathCapabilities'
../../../../src/gallium/state_trackers/vega/.libs/libvega.a(vgu.o): In function `vguEllipse':
/var/tmp/portage/media-libs/mesa-10.0.4/work/Mesa-10.0.4-amd64/src/gallium/state_trackers/vega/vgu.c:238: undefined reference to `vgGetPathCapabilities'
../../../../src/gallium/state_trackers/vega/.libs/libvega.a(vgu.o):/var/tmp/portage/media-libs/mesa-10.0.4/work/Mesa-10.0.4-amd64/src/gallium/state_trackers/vega/vgu.c:275: more undefined references to `vgGetPathCapabilities' follow
collect2: error: ld returned 1 exit status
libtool: install: error: relink `egl_gallium.la' with the above command before installing it
Makefile:786: recipe for target 'install-eglLTLIBRARIES' failed
gmake[4]: *** [install-eglLTLIBRARIES] Error 1
gmake[4]: Leaving directory '/var/tmp/portage/media-libs/mesa-10.0.4/work/Mesa-10.0.4-amd64/src/gallium/targets/egl-static'
Makefile:981: recipe for target 'install-am' failed
gmake[3]: *** [install-am] Error 2
gmake[3]: Leaving directory '/var/tmp/portage/media-libs/mesa-10.0.4/work/Mesa-10.0.4-amd64/src/gallium/targets/egl-static'
Makefile:540: recipe for target 'install-recursive' failed
gmake[2]: *** [install-recursive] Error 1
gmake[2]: Leaving directory '/var/tmp/portage/media-libs/mesa-10.0.4/work/Mesa-10.0.4-amd64/src/gallium/targets'
Makefile:530: recipe for target 'install-recursive' failed
gmake[1]: *** [install-recursive] Error 1
gmake[1]: Leaving directory '/var/tmp/portage/media-libs/mesa-10.0.4/work/Mesa-10.0.4-amd64/src'
Makefile:581: recipe for target 'install-recursive' failed
make: *** [install-recursive] Error 1
 * ERROR: media-libs/mesa-10.0.4::gentoo failed (install phase):
 *   emake failed


The only way to downgrade is disabling openvg use flag.
After emerging any mesa with that disabled flag
(and all other packages that use openvg)(I unmerged x11-libs/cairo for that),
it is possible to emerge the failing versions with enabled flag again.
Comment 44 Navid Zamani 2014-04-10 02:26:12 UTC
(In reply to Rafał Mużyło from comment #42)
> ...no, config.log means config.log (one of the files produced during
> ./configure run)

That is completely useless to me.

> You've misunderstood me here.

Well, and since you refuse to tell me what exactly you meant, I can’t help you.
Comment 45 Kevin Lyles 2014-04-12 19:10:05 UTC
Created attachment 374832 [details]
config.log
Comment 46 Kevin Lyles 2014-04-12 19:10:52 UTC
(In reply to Rafał Mużyło from comment #39)
> hmm...
> 
> Would one of the people that get the failure mind attaching their config.log
> ?
> Though my first suspect would be 'llvm-config --ldflags' (and mesa adding
> those to _LDFLAGS instead of _L{IB,D}ADD).
> 
> On that note, what does that script return for multilib builds ?

$ llvm-config --ldflags
-L/usr/lib64  -lz -lpthread -lffi -ldl -lm

I also attached my config.log.
Comment 47 Rafał Mużyło 2014-04-12 20:47:36 UTC
:sigh:

Right I should have specified, I meant the people that already attached their build log or at least pasted the failing linking command.

Nevertheless...

The info provided *seems* to confirm my theory. So, as a final test, try patching src/gallium/targets/egl-static/Makfile.am from

egl_gallium_la_LIBADD += $(LLVM_LIBS)
egl_gallium_la_LDFLAGS += $(LLVM_LDFLAGS)

to

egl_gallium_la_LIBADD += $(LLVM_LIBS) $(LLVM_LDFLAGS)

(eautoreconf is already present in the ebuild)

At very least, it should change the eror, but if I'm reading that file correctly, it should that '-L/usr/lib{64}' far enough to come after the local paths.
Comment 48 Kevin Lyles 2014-04-13 16:56:38 UTC
(In reply to Rafał Mużyło from comment #47)
> :sigh:

You're coming across as unhappy both with the people who didn't understand you the first time around, and now with the person who did.  I'll chalk it up to text being a poor medium for communicating emotions succintly, but probably not everyone will.

> Right I should have specified, I meant the people that already attached
> their build log or at least pasted the failing linking command.

If you'd like, I can post my build log as well.

> Nevertheless...
> 
> The info provided *seems* to confirm my theory. So, as a final test, try
> patching src/gallium/targets/egl-static/Makfile.am from
> 
> egl_gallium_la_LIBADD += $(LLVM_LIBS)
> egl_gallium_la_LDFLAGS += $(LLVM_LDFLAGS)
> 
> to
> 
> egl_gallium_la_LIBADD += $(LLVM_LIBS) $(LLVM_LDFLAGS)
> 
> (eautoreconf is already present in the ebuild)
> 
> At very least, it should change the eror, but if I'm reading that file
> correctly, it should that '-L/usr/lib{64}' far enough to come after the
> local paths.

This does fix the error, and I didn't get any others.  Thanks!

[ebuild   R    ] media-libs/mesa-10.0.4  USE="classic egl gallium gbm gles1 gles2 llvm nptl opencl openvg osmesa pic vdpau xa xvmc -bindist -debug -llvm-shared-libs -pax_kernel -r600-llvm-compiler (-selinux) -wayland" ABI_X86="(64) (-32) (-x32)" VIDEO_CARDS="(-freedreno) -i915 -i965 -ilo -intel -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi -vmware" 0 kB
[ebuild   R    ] x11-drivers/nvidia-drivers-334.21-r3  USE="X acpi multilib tools uvm -pax_kernel" 0 kB
[ebuild   R    ] x11-libs/cairo-1.12.16  USE="X glib opengl openvg svg xcb (-aqua) -debug -directfb -doc (-drm) (-gallium) (-gles2) -legacy-drivers (-qt4) -static-libs -valgrind -xlib-xcb" 0 kB
Comment 49 Navid Zamani 2014-04-20 18:40:34 UTC
(In reply to Kevin Lyles from comment #48)
> (In reply to Rafał Mużyło from comment #47)
> > :sigh:
> 
> You're coming across as unhappy both with the people who didn't understand
> you the first time around, and now with the person who did.  I'll chalk it
> up to text being a poor medium for communicating emotions succintly, but
> probably not everyone will.

What? You’re totally misreading him. He’s just understandably frustrated… because it’s a frustrating bug. I find your tabooization of emotions as unacceptable as your condescension.

But maybe I’m misreading you too…
Comment 50 Oleg 2014-04-29 18:46:30 UTC
10.0.4, 10.1.0, 10.1.1 version affected.
Comment 51 Jeroen Roovers gentoo-dev 2014-04-29 19:01:58 UTC
(In reply to Oleg from comment #50)
> 10.0.4, 10.1.0, 10.1.1 version affected.

Let's give a warm welcome to our latecomer! There is a seat free at comment #33. Now please settle down and stop reporting which versions are getting it magically wrong or right, but do start thinking about how you are going to write the patch that fixes src_install()'s libtool linking behaviour.
Comment 52 Jacob Godserv 2014-04-29 20:01:33 UTC
(In reply to Jeroen Roovers from comment #51)
> (In reply to Oleg from comment #50)
> > 10.0.4, 10.1.0, 10.1.1 version affected.
> 
> Let's give a warm welcome to our latecomer! There is a seat free at comment
> #33. Now please settle down and stop reporting which versions are getting it
> magically wrong or right, but do start thinking about how you are going to
> write the patch that fixes src_install()'s libtool linking behaviour.

Your comment did nothing to resolve the situation except to make someone feel stupid when they were trying to help. Clearly, they went through some effort to gather those version numbers, and didn't realize this bug was well along enough that this information was not needed.

Please read what you write before you post, and avoid sarcasm in the future, for the sake of community and goodwill.
Comment 53 Oleg 2014-04-29 22:59:24 UTC
It's not the first time Jeroen Roovers acts rather unprofessional.
Jeroen, you are so full of shit with your wrangler work. There nothing to settle down about this bug. This is just a fact all available versions of mesa in tree suffers from this bug (inlcuding stable one). SO, 
1. if you are good wrangler do not piss of reporters in any possible way, this not making any good of you. I remember that at least 3 of my own bug reports changed names to something like ?? in report names.Please, stop it.
2. if you are good Gentoo developer, you can test Rafal's suggested fix and see if it resolved. If you can't, you can do a reminder to him, or mesa maintainer.
Comment 54 Rafał Mużyło 2014-04-30 00:24:58 UTC
(In reply to Jeroen Roovers from comment #51)
> (In reply to Oleg from comment #50)
> > 10.0.4, 10.1.0, 10.1.1 version affected.
> 
> Let's give a warm welcome to our latecomer! There is a seat free at comment
> #33. Now please settle down and stop reporting which versions are getting it
> magically wrong or right, but do start thinking about how you are going to
> write the patch that fixes src_install()'s libtool linking behaviour.

:roll:
Honestly, people...

It's not really libtool's fault - libtool just passes the paths to gcc/ld in the order it receives them.

Excerpt from 'man ld':
       -L searchdir
       --library-path=searchdir
           Add path searchdir to the list of paths that ld will search for
           archive libraries and ld control scripts.  You may use this option
           any number of times.  The directories are searched in the order in
           which they are specified on the command line.  Directories
           specified on the command line are searched before the default
           directories.  All -L options apply to all -l options, regardless of
           the order in which the options appear.  -L options do not affect
           how ld searches for a linker script unless -T option is specified.

So, everything is working *exactly* as it should.
Comment 55 Pacho Ramos gentoo-dev 2014-04-30 06:04:37 UTC
I don't know much about libtool, but maybe this tetromino's script could help:
http://dev.gentoo.org/~tetromino/distfiles/fix-la-relink-command/

We need it in e-d-s and, as comment explains:
        # Prevent this evolution-data-server from linking to libs in the installed
        # evolution-data-server libraries by adding -L arguments for build dirs to
        # every .la file's relink_command field, forcing libtool to look there
        # first during relinking. This will mangle the .la files installed by
        # make install, but we don't care because we will be punting them anyway.
Comment 56 Rafał Mużyło 2014-04-30 17:20:07 UTC
(In reply to Pacho Ramos from comment #55)
> I don't know much about libtool, but maybe this tetromino's script could
> help:
> http://dev.gentoo.org/~tetromino/distfiles/fix-la-relink-command/
> 

That script was always a hack.

TBH, I don't know much about libtool either, but what I can tell, is that while figuring out the order of linking for automake is sometimes hard, workarounds like fix-la-relink-command just hide the problem, instead of fixing it (I haven't looked at evolution-data-server lately, but from what little I can recall about its old bugs, the above stands for it too).
Comment 57 Jeroen Roovers gentoo-dev 2014-04-30 23:05:59 UTC
(In reply to Rafał Mużyło from comment #56)
> > http://dev.gentoo.org/~tetromino/distfiles/fix-la-relink-command/
> > 
> 
> That script was always a hack.

It's always going to be a hack on Gentoo since libtool in install mode expects to do a proper install of a file to its final destination, not some intermittent staging directory. Usually the hack includes stripping every mention of -L${libdir} in src_install(), but in this case that will probably not work. The simplest hack still involves running `eselect opengl' at the right times.
Comment 58 Rafał Mużyło 2014-05-01 10:07:22 UTC
(In reply to Jeroen Roovers from comment #57)
> (In reply to Rafał Mużyło from comment #56)
> > > http://dev.gentoo.org/~tetromino/distfiles/fix-la-relink-command/
> > > 
> > 
> > That script was always a hack.
> 
> It's always going to be a hack on Gentoo since libtool in install mode
> expects to do a proper install of a file to its final destination, not some
> intermittent staging directory. Usually the hack includes stripping every
> mention of -L${libdir} in src_install(), but in this case that will probably
> not work. The simplest hack still involves running `eselect opengl' at the
> right times.

Not what I've meant.

It's more about how its basic basic use invalidated portions of /var/db/pkg, but not limited to that.

The other thing I refer to, is that for libtool, "${libdir}" is by no means special, also "${prefix}" and "${DESTDIR}" have different effect for autotools and we don't want hardcoding rpaths, do we ?

eliboolize patches cover some of it, but those are portage specific for a reason.

The bottom line: I really don't see libtool as being broken here, just occasionally difficult to understand/setup for upstream.
Comment 59 Jeroen Roovers gentoo-dev 2014-05-10 18:40:45 UTC
*** Bug 509998 has been marked as a duplicate of this bug. ***
Comment 60 Lara Maia 2014-05-20 13:23:58 UTC
Why the bug still with UNCONFIRMED status?
Comment 61 Pacho Ramos gentoo-dev 2014-05-20 19:02:06 UTC
(In reply to Lara Maia from comment #60)
> Why the bug still with UNCONFIRMED status?

I don't think it does really matter a lot :/, I guess the block here is to find a proper fix/workaround that could be committed to prevent people from getting this issue :|
Comment 62 Rafał Mużyło 2014-06-19 18:16:15 UTC
(In reply to Pacho Ramos from comment #61)
> 
> I guess the block here is to
> find a proper fix/workaround that could be committed to prevent people from
> getting this issue :|

What I've wrote in comment 47 *is* the proper fix, though it's likely incomplete, as I didn't go though *all* Makefile.am files to see if similar fix is needed there. Even in that one file that '$(LLVM_LIBS) $(LLVM_LDFLAGS)' change might be useful in one more place.
Comment 63 Chí-Thanh Christopher Nguyễn gentoo-dev 2014-06-26 14:32:18 UTC
Please submit a bug report upstream at https://bugs.freedesktop.org/ about this issue. After upstream has accepted a patch, we can apply it to the mesa package.
Comment 64 Alex Efros 2014-10-26 03:55:25 UTC
This issue still exists with mesa-10.0.4 and nvidia-drivers-343.22-r2, workaround with temporary switching opengl to xorg-x11 helps.
Comment 65 Alex Efros 2014-12-11 07:05:10 UTC
This issue still exists with mesa-10.2.8 and nvidia-drivers-343.22-r2,
workaround with temporary switching opengl to xorg-x11 helps.
Comment 66 Andrew Savchenko gentoo-dev 2015-04-02 11:32:26 UTC
*** Bug 505646 has been marked as a duplicate of this bug. ***
Comment 67 Matt Turner gentoo-dev 2015-07-02 01:20:06 UTC
Is this still reproduceable?
Comment 68 Kevin Lyles 2015-07-02 01:41:08 UTC
(In reply to Matt Turner from comment #67)
> Is this still reproduceable?

I can no longer reproduce it with x11-drivers/nvidia-drivers-352.21 and media-libs/mesa-10.5.6.
Comment 69 Karl-Johan Karlsson 2015-07-02 11:23:06 UTC
I can no longer reproduce this problem with x11-drivers/nvidia-drivers-352.21 and media-libs/mesa-10.6.1.
Comment 70 Matt 2015-07-02 14:14:46 UTC
I'm still seeing it...  :-(


root@aragorn ~ # qlist -Iv mesa
app-eselect/eselect-mesa-0.0.10
media-libs/mesa-10.3.7-r1
x11-apps/mesa-progs-8.2.0

root@aragorn ~ # qlist -Iv nvidia-drivers
x11-drivers/nvidia-drivers-340.76

root@aragorn ~ # eselect opengl list
Available OpenGL implementations:
  [1]   nvidia *
  [2]   xorg-x11

root@aragorn ~ # emerge -q1 media-libs/mesa
>>> Verifying ebuild manifests
>>> Emerging (1 of 1) media-libs/mesa-10.3.7-r1::gentoo
>>> Failed to emerge media-libs/mesa-10.3.7-r1, Log file:

[ ... ]

../../../../src/gallium/state_trackers/egl/.libs/libegl.a(x11_screen.o):x11_screen.c:(.text+0x4d3): more undefined references to `_eglLog' follow
collect2: error: ld returned 1 exit status
libtool:   error: error: relink 'egl_gallium.la' with the above command before installing it
Makefile:857: recipe for target 'install-eglLTLIBRARIES' failed
Comment 71 Rafał Mużyło 2015-07-02 18:47:48 UTC
@comment 69 and comment 70:

This proves very little.
http://cgit.freedesktop.org/mesa/mesa/commit/src/gallium/targets/egl-static/Makefile.am?h=10.5&id=5a68432f04e5d6b5492840e5a14e40a00a8d01b8 might have indeed affected this bug (and isn't present on 10.3), though it doesn't quite look as a correct solution.

What would be interesting, would be the command that builds the lib.
So, post that.
Comment 72 Matt Turner gentoo-dev 2015-07-02 19:27:20 UTC
(In reply to Rafał Mużyło from comment #71)
> @comment 69 and comment 70:
> 
> This proves very little.

Well, in fact it makes sense -- the EGL gallium state tracker was deleted in 10.6.
Comment 73 Matt Turner gentoo-dev 2017-01-26 06:39:01 UTC
(In reply to Matt Turner from comment #72)
> (In reply to Rafał Mużyło from comment #71)
> > @comment 69 and comment 70:
> > 
> > This proves very little.
> 
> Well, in fact it makes sense -- the EGL gallium state tracker was deleted in
> 10.6.

Well, no reports since then. How about that.